Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class ContentLeafNameTypeVector

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.ContentLeafNameTypeVector

public final class ContentLeafNameTypeVector
extends java.lang.Object

A light-weight class that stored the leaf names and types from a DFAContentModel

Version:

Field Summary
`int` | `leafCount`
`QName[]` | `leafNames`
`int[]` | `leafTypes`

Constructor Summary
`ContentLeafNameTypeVector()`
`ContentLeafNameTypeVector(ContentLeafNameTypeVector clntv)`
`ContentLeafNameTypeVector(QName[] names, int[] types, int count)`

Method Summary
`void` | `setValues(QName[] names, int[] types, int count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leafNames

    public QName[] leafNames

### leafTypes

    public int[] leafTypes

### leafCount

    public int leafCount

Constructor Detail

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector()

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector(QName[] names,
                                     int[] types,
                                     int count)

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector(ContentLeafNameTypeVector clntv)

Method Detail

### setValues

    public void setValues(QName[] names,
                          int[] types,
                          int count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.